def lower(text):
  bfs10141 = ''.join(map(chr, range(ord('A'), (ord('Z') + 1))))
  return ('translate(%s, %r, %r)' % (text, bfs10141, bfs10141.lower()))

def bfs10140(text, by=' '):
  return (u"translate(%s, '\xa0', %r)" % (text, by))

def predicate(bfs10142):
  return (('[%s]' % bfs10142) if bfs10142 else '')


def bfs10143(*bfs10144):
  return predicate(' or '.join([c for c in bfs10144 if c ]))

